VARKON Version 1.15 1997-10-24

> ## test_file - Function

> Checks file permissions
> Description
> Checks the existence and permissions of a named file.
> Syntax
> test_file(name, mode)

> STRING | name*132;
> STRING | mode*1;

> Principal parameters

> name | - Name of file to test. A path may be included.
> mode | - What to test.
> | "X" = Doest the file exist ?
> | "R" = Do I have permission to open the file for read ?
> | "W" = Do I have permission to open the file for write ?

> Optional parameters

> None. |

> Return value
> An INT value = 1 if the answer is yes or = 0 if the answer is no.
> Comments
> Write permission is needed to delete or rename a file.

VARKON Homepage | Index